#include <linux/init.h>
#include <linux/kernel.h>
#include <linux/module.h>

static int __init basic_module_init(void)
{
	pr_info("Bonjour! Le module est chargé.\n");
	return 0;
}

static void __exit basic_module_exit(void)
{
	pr_info("Au revoir! Le module est déchargé.\n");
}

module_init(basic_module_init);
module_exit(basic_module_exit);

MODULE_LICENSE("MIT License");
MODULE_AUTHOR("Florian RICHER <florian.richer@protonmail.com>");
MODULE_DESCRIPTION("Un module noyau qui affiche un message");
MODULE_VERSION("1.0");
